Error in Java Live Streaming

RESOLVED WORKSFORME

Status

()

Firefox
General
RESOLVED WORKSFORME
8 years ago
8 years ago

People

(Reporter: Bernie, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: It is FIXED, thanks to PC Health Advisor by Poreto Logic!! CLOSE THIS BUG!!, URL)

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11 GTB7.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11 GTB7.1

Live Streaming Java Error message: "Key Server error...please try again"

Based on Java Console date "looping" is causing this problem.

These streaming events are online only on specific dates and times, usually two weeks apart.

Reproducible: Always

Steps to Reproduce:
1. Log on to page
2. Must register to set up user name and password.
3. Log in to site at appropriate time.
4. Open the Live timing page or window.
Actual Results:  
Error message: "Key Server error...please try again"

Expected Results:  
Text should load and stream data in real time.

The above problems started after 26 September 2010 and 8 October 2010. Until 8 October the web pages work as expected.

Here are three Java console reports. The first is from Firefox (which fails); the second is from Internet Explorer; the third is from Netscape V7.2. (which both work).

It appears the problem is caused by the "looping" on Firefox.

FIREFOX:
Java Plug-in 1.6.0_22
Using JRE version 1.6.0_22-b04 Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\A PC Wizard
----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------


f1app © 2003-2010 LBi Ltd - Version 5.1.13
http://www.lbi.com/
User: E53B988072530A00908FC4FAD394C957A45100523501369EBF61B0C02EDCB4B2BDA72939DE3DC087E5BC2FDE5781058A37256942CA17AB4728C7E213BE419F302B5871E5DF7F621D22E2005037CC818F42C8732616117B18E1221B7834375087F682EA47EB05F1A293DD60F182FD0363DB593E20E3B93D42B7928075ECD56CBE5B1950C885BE5F8F3E885348E983EDCF0EB130244ED005DB8692B6C225D88D9A8CDF6FC0C9F021EDB3272720FEF2D2D7CE1213274F734EFB38E98ABAEE0D25370D54FA76471F09441002D21A099BFC70A7A93F43204A590E7D737CD3DB16B931291F99191E115E91AF391F3F4A5FA6AC
Loaded image: http://live-timing.formula1.com/java51/img/navinline.gif
Loaded image: http://live-timing.formula1.com/java51/img/lglogo.gif
Loaded image: http://live-timing.formula1.com/circuit/yeongam.gif
Hostname: www.formula1.com
Loading keyframe 0
Starting session: 6797
Race mode: 2, false
Keyframe loaded
Connecting to live stream
Process loop ending


INTERNET EXPLORER:
Java Plug-in 1.6.0_22
Using JRE version 1.6.0_22-b04 Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\A PC Wizard
----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------


f1app © 2003-2010 LBi Ltd - Version 5.1.13
http://www.lbi.com/
User: D10F6B779E07FD1F7F1347E793D9AD0602CF405823FD8B5860C45C9B5C1C2B3D38DC2D62331E63903322C5BEC621E8A52CA17B5CFDDCF3413749F8F0ADC546BC746881423D9C42AE84C51B0778FD358927F22928518DD0510FDA0C5D395803C6301512967A3CFD1AEFA386A4E0B21E7CB0D06A2368B0E8D6D91D2E1AD94CB213D9B20240F0A54DE1C900F3DDDB207FB06CCFE0318EB74637FEBC1AB19C46DB16888ED758A467FB47E7693BF621AF81C888417BD6AC34DD49729F100D83A5721301E3DCA2A9953275658B036F6949F7B601E5D3DA3F93C8777AAC26E1FE03836C9E540BCFCD3D0BEBB6579A8D2E978A4C5C751F3A60A5A4FD78E44279EA1453A5502CE1190E5E9146C77A0E06D997D255EF2B9CF6
Loaded image: http://live-timing.formula1.com/java51/img/navinline.gif
Loaded image: http://live-timing.formula1.com/java51/img/lglogo.gif
Loaded image: http://live-timing.formula1.com/circuit/yeongam.gif
Hostname: www.formula1.com
Loading keyframe 0
Starting session: 6797
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
Connecting to live stream
Loading keyframe 84
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
f1app © 2003-2010 LBi Ltd - Version 5.1.13
http://www.lbi.com/
User: D10F6B779E07FD1F7F1347E793D9AD0602CF405823FD8B5860C45C9B5C1C2B3D38DC2D62331E63903322C5BEC621E8A52CA17B5CFDDCF3413749F8F0ADC546BC746881423D9C42AE84C51B0778FD358927F22928518DD0510FDA0C5D395803C6301512967A3CFD1AEFA386A4E0B21E7CB0D06A2368B0E8D6D91D2E1AD94CB213D9B20240F0A54DE1C900F3DDDB207FB06CCFE0318EB74637FEBC1AB19C46DB16888ED758A467FB47E7693BF621AF81C888417BD6AC34DD49729F100D83A5721301E3DCA2A9953275658B036F6949F7B601E5D3DA3F93C8777AAC26E1FE03836C9E540BCFCD3D0BEBB6579A8D2E978A4C5C751F3A60A5A4FD78E44279EA1453A5502CE1190E5E9146C77A0E06D997D255EF2B9CF6
Loaded image: http://live-timing.formula1.com/java51/img/navinline.gif
Loaded image: http://live-timing.formula1.com/java51/img/lglogo.gif
Loaded image: http://live-timing.formula1.com/circuit/yeongam.gif
Hostname: www.formula1.com
Loading keyframe 0
Starting session: 6797
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
Connecting to live stream
Loading keyframe 88
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded




NETSCAPE Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax) Java Console data:
Java(TM) Plug-in: Version 1.4.1_02
Using JRE version 1.4.1_02 Java HotSpot(TM) Client VM

User home directory = C:\Documents and Settings\A PC Wizard

Proxy Configuration: Browser Proxy Configuration

----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
p:   reload proxy configuration

q:   hide console
r:   reload policy configuration
s:   dump system properties

t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------
f1app © 2003-2010 LBi Ltd - Version 5.1.13

http://www.lbi.com/

User: 626A2B8AD6247B15403B1B133B506BE183FAED42731E6117BD7E6A32EB5AD3B4F1360686722DD69386FBBA86D115CEA3228EB33313960963E06B2047C7E4B8101EB6596F708FAC26D15865787E4C22C3B8FFDA167AA5DF6D47557E50CC4B275780E2F74778CBF93885FD461189FAC7F2F47E7B94DF4845C3D3185D32FFDD35B2078C91919F1D80B73BFB62B1BB380449A398B5F4F393C0629818655A6042CA1B357ABF3BFF7245868E4885C7C1A19A55113EF5418F049EC3A26BA4FAC123B6B49B30462C81BB1487CB8DAB6D4FB30556A7011A8B02DBCABA053CB29E0D214A04069FC6F089C074B002B7441A835165C81E191916A035C48AA9A3EE62B420B0CC04CB92A993D875ECBBB2F1BE4A8A7ED280345784

Hostname: www.formula1.com
Loading keyframe 0
Starting session: 6797
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
Connecting to live stream
Loading keyframe 309

Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
java.lang.NullPointerException
    at sun.java2d.SunGraphics2D.<init>(Unknown Source)
    at sun.awt.image.OffScreenImage.getGraphics(Unknown Source)
    at uk.co.aspectgroup.f1app.f1app.drawLED(f1app.java:4128)
    at uk.co.aspectgroup.f1app.f1app.setLED(f1app.java:4124)
    at uk.co.aspectgroup.f1app.f1process.run(f1process.java:133)
java.lang.NullPointerException
    at sun.java2d.SunGraphics2D.<init>(Unknown Source)
    at sun.awt.image.OffScreenImage.getGraphics(Unknown Source)
    at uk.co.aspectgroup.f1app.f1app.updateWGraph(f1app.java:2065)
    at uk.co.aspectgroup.f1app.f1weather.run(f1weather.java:42)
java.lang.NullPointerException
    at sun.java2d.SunGraphics2D.<init>(Unknown Source)
    at sun.awt.image.OffScreenImage.getGraphics(Unknown Source)
    at uk.co.aspectgroup.f1app.f1app.drawScreen1Time(f1app.java:2399)
    at uk.co.aspectgroup.f1app.f1app.drawSessionTime(f1app.java:2388)
    at uk.co.aspectgroup.f1app.f1time.run(f1time.java:46)

f1app © 2003-2010 LBi Ltd - Version 5.1.13
http://www.lbi.com/
User: 626A2B8AD6247B15403B1B133B506BE183FAED42731E6117BD7E6A32EB5AD3B4F1360686722DD69386FBBA86D115CEA3228EB33313960963E06B2047C7E4B8101EB6596F708FAC26D15865787E4C22C3B8FFDA167AA5DF6D47557E50CC4B275780E2F74778CBF93885FD461189FAC7F2F47E7B94DF4845C3D3185D32FFDD35B2078C91919F1D80B73BFB62B1BB380449A398B5F4F393C0629818655A6042CA1B357ABF3BFF7245868E4885C7C1A19A55113EF5418F049EC3A26BA4FAC123B6B49B30462C81BB1487CB8DAB6D4FB30556A7011A8B02DBCABA053CB29E0D214A04069FC6F089C074B002B7441A835165C81E191916A035C48AA9A3EE62B420B0CC04CB92A993D875ECBBB2F1BE4A8A7ED280345784

Hostname: www.formula1.com
Loading keyframe 0
Starting session: 6797
Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
Connecting to live stream
Loading keyframe 309

Race mode: 2, false
SM: Please Wait ...
Notify: 1
Keyframe loaded
(Reporter)

Comment 1

8 years ago
Created attachment 485340 [details]
Java Console reports from Firefox, IE & Netscape browsers

Updated

8 years ago
Summary: http://www.formula1.com/live_timing/live_timing.html → Error in Java Live Streaming
(Reporter)

Updated

8 years ago
Whiteboard: Live timing event occurring. Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Sun 07 November 2010 Race 10:00
(Reporter)

Updated

8 years ago
Whiteboard: Live timing event occurring. Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Sun 07 November 2010 Race 10:00 → November 2010 Race 10:00 Live timing event required to test this bug: occurring. Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 &&hellip;
(Reporter)

Updated

8 years ago
Whiteboard: Live timing event required to test this bug: occurring. Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Sun 07 &hellip; → Live timing event required to test this bug: Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Sun 07 November 20&hellip;
(Reporter)

Updated

8 years ago
Whiteboard: Live timing event required to test this bug: Next scheduled events ALL TIMES US Central: Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Sun 07 November 20&hellip; → Live timing event required to test this bug: Next scheduled events ALL TIMES US Central (24 hour clock): Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Su&hellip;
(Reporter)

Updated

8 years ago
Whiteboard: Live timing event required to test this bug: Next scheduled events ALL TIMES US Central (24 hour clock): Fri 05 November 2010: Practice 1 07:00 - 08:30 & Practice 2 11:00 - 12:30; Sat 06 November 2010 Practice 3 08:00 - 09:00 & Qualifying 11:00; Su&hellip; → It is FIXED, thanks to PC Health Advisor by Poreto Logic!! CLOSE THIS BUG!!

Updated

8 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.